<?php

namespace Ensi\OmsClient;

class OmsClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\OmsClient\Api\DeliveriesApi',
        '\Ensi\OmsClient\Api\OrderItemsApi',
        '\Ensi\OmsClient\Api\EnumsApi',
        '\Ensi\OmsClient\Api\OrdersApi',
        '\Ensi\OmsClient\Api\RefundsApi',
        '\Ensi\OmsClient\Api\ShipmentsApi',
        '\Ensi\OmsClient\Api\CommonApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\OmsClient\Dto\MultipartFileUploadRequest',
        '\Ensi\OmsClient\Dto\Address',
        '\Ensi\OmsClient\Dto\RequestBodyPagination',
        '\Ensi\OmsClient\Dto\OrderItemChangeQtyRequest',
        '\Ensi\OmsClient\Dto\ShipmentResponse',
        '\Ensi\OmsClient\Dto\OrderStartPaymentResponse',
        '\Ensi\OmsClient\Dto\ShipmentIncludes',
        '\Ensi\OmsClient\Dto\PatchSettingRequest',
        '\Ensi\OmsClient\Dto\SearchOrdersRequest',
        '\Ensi\OmsClient\Dto\CheckConditionsToDeleteCustomerPersonalDataRequest',
        '\Ensi\OmsClient\Dto\OrderCommitRequestDeliveries',
        '\Ensi\OmsClient\Dto\SettingFillableProperties',
        '\Ensi\OmsClient\Dto\OrderStartPaymentRequest',
        '\Ensi\OmsClient\Dto\RefundStatusEnum',
        '\Ensi\OmsClient\Dto\OrderDeliveryFillableProperties',
        '\Ensi\OmsClient\Dto\RefundReasonsResponse',
        '\Ensi\OmsClient\Dto\SearchDeliveriesResponseMeta',
        '\Ensi\OmsClient\Dto\Error',
        '\Ensi\OmsClient\Dto\OrderItemsAddResponse',
        '\Ensi\OmsClient\Dto\SearchDeliveriesResponse',
        '\Ensi\OmsClient\Dto\OrderPaymentData',
        '\Ensi\OmsClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\OmsClient\Dto\PaginationTypeEnum',
        '\Ensi\OmsClient\Dto\OrderCheckPaymentResponse',
        '\Ensi\OmsClient\Dto\DeliveryReadonlyProperties',
        '\Ensi\OmsClient\Dto\RefundCreateOnlyProperties',
        '\Ensi\OmsClient\Dto\File',
        '\Ensi\OmsClient\Dto\IncludeId',
        '\Ensi\OmsClient\Dto\ShipmentReadonlyProperties',
        '\Ensi\OmsClient\Dto\CountryCodeEnum',
        '\Ensi\OmsClient\Dto\PaymentMethodEnum',
        '\Ensi\OmsClient\Dto\OrderItemsAddRequest',
        '\Ensi\OmsClient\Dto\EmptyDataResponse',
        '\Ensi\OmsClient\Dto\SettingsResponse',
        '\Ensi\OmsClient\Dto\ShipmentFillableProperties',
        '\Ensi\OmsClient\Dto\OrderItemsDeleteRequest',
        '\Ensi\OmsClient\Dto\PaymentStatusEnum',
        '\Ensi\OmsClient\Dto\OrderFillableProperties',
        '\Ensi\OmsClient\Dto\CreateRefundReasonRequest',
        '\Ensi\OmsClient\Dto\SearchDeliveriesRequest',
        '\Ensi\OmsClient\Dto\CheckConditionsToDeleteCustomerPersonalDataResponseData',
        '\Ensi\OmsClient\Dto\SettingCodeEnum',
        '\Ensi\OmsClient\Dto\ResponseBodyPagination',
        '\Ensi\OmsClient\Dto\Shipment',
        '\Ensi\OmsClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\OmsClient\Dto\PatchSeveralSettingsRequest',
        '\Ensi\OmsClient\Dto\OrderItemChangeQtyResponse',
        '\Ensi\OmsClient\Dto\OrderDeleteFilesRequest',
        '\Ensi\OmsClient\Dto\OrderPaymentDataQrCode',
        '\Ensi\OmsClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\OmsClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\OmsClient\Dto\OrderCheckPaymentResponseData',
        '\Ensi\OmsClient\Dto\RefundReasonReadonlyProperties',
        '\Ensi\OmsClient\Dto\ErrorResponse',
        '\Ensi\OmsClient\Dto\OrderCommitResponseData',
        '\Ensi\OmsClient\Dto\DeleteCustomerPersonalDataRequest',
        '\Ensi\OmsClient\Dto\DeleteRefundFilesRequest',
        '\Ensi\OmsClient\Dto\SearchShipmentsRequest',
        '\Ensi\OmsClient\Dto\SearchShipmentsResponse',
        '\Ensi\OmsClient\Dto\OrderItemsAddRequestOrderItems',
        '\Ensi\OmsClient\Dto\Refund',
        '\Ensi\OmsClient\Dto\RefundOnlyCreateRequestPropertiesOrderItems',
        '\Ensi\OmsClient\Dto\OrderStatusEnum',
        '\Ensi\OmsClient\Dto\OrderResponse',
        '\Ensi\OmsClient\Dto\SettingReadonlyProperties',
        '\Ensi\OmsClient\Dto\OrderAttachFileResponse',
        '\Ensi\OmsClient\Dto\RefundOnlyCreateRequestProperties',
        '\Ensi\OmsClient\Dto\PatchRefundRequest',
        '\Ensi\OmsClient\Dto\OrderChangePaymentSystemRequest',
        '\Ensi\OmsClient\Dto\CheckConditionsToDeleteCustomerPersonalDataResponse',
        '\Ensi\OmsClient\Dto\RefundReason',
        '\Ensi\OmsClient\Dto\OrderIncludes',
        '\Ensi\OmsClient\Dto\OrderItemChangeQtyRequestOrderItems',
        '\Ensi\OmsClient\Dto\CreateRefundRequest',
        '\Ensi\OmsClient\Dto\PatchShipmentRequest',
        '\Ensi\OmsClient\Dto\ShipmentStatusEnum',
        '\Ensi\OmsClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\OmsClient\Dto\RequestBodyCursorPagination',
        '\Ensi\OmsClient\Dto\OrderItem',
        '\Ensi\OmsClient\Dto\RefundReasonFillableProperties',
        '\Ensi\OmsClient\Dto\ModelInterface',
        '\Ensi\OmsClient\Dto\OrderReadonlyProperties',
        '\Ensi\OmsClient\Dto\PatchRefundReasonRequest',
        '\Ensi\OmsClient\Dto\Timeslot',
        '\Ensi\OmsClient\Dto\PatchOrderDeliveryRequest',
        '\Ensi\OmsClient\Dto\DeliveryStatusEnum',
        '\Ensi\OmsClient\Dto\RefundReadonlyProperties',
        '\Ensi\OmsClient\Dto\Delivery',
        '\Ensi\OmsClient\Dto\OrderFile',
        '\Ensi\OmsClient\Dto\OrderCommitRequestItems',
        '\Ensi\OmsClient\Dto\RefundFile',
        '\Ensi\OmsClient\Dto\OrderStartPaymentResponseData',
        '\Ensi\OmsClient\Dto\OrderAddCommentRequest',
        '\Ensi\OmsClient\Dto\DeliveryFillableProperties',
        '\Ensi\OmsClient\Dto\RefundReasonResponse',
        '\Ensi\OmsClient\Dto\PaymentSystemEnum',
        '\Ensi\OmsClient\Dto\RefundFileResponse',
        '\Ensi\OmsClient\Dto\OrderCommitRequestShipments',
        '\Ensi\OmsClient\Dto\CustomerPersonalData',
        '\Ensi\OmsClient\Dto\DeliveryIncludes',
        '\Ensi\OmsClient\Dto\PatchOrderRequest',
        '\Ensi\OmsClient\Dto\ErrorResponse2',
        '\Ensi\OmsClient\Dto\RefundIncludes',
        '\Ensi\OmsClient\Dto\Order',
        '\Ensi\OmsClient\Dto\SearchRefundsRequest',
        '\Ensi\OmsClient\Dto\RefundResponse',
        '\Ensi\OmsClient\Dto\OrderCommitRequest',
        '\Ensi\OmsClient\Dto\SearchRefundsResponse',
        '\Ensi\OmsClient\Dto\DeliveryResponse',
        '\Ensi\OmsClient\Dto\OrderCommitResponse',
        '\Ensi\OmsClient\Dto\RefundFillableProperties',
        '\Ensi\OmsClient\Dto\SearchOrdersResponse',
        '\Ensi\OmsClient\Dto\OrderSourceEnum',
        '\Ensi\OmsClient\Dto\Setting',
        '\Ensi\OmsClient\Dto\PatchDeliveryRequest',
    ];

    /** @var string */
    public static $configuration = '\Ensi\OmsClient\Configuration';
}
